<html>
<head>
<title>OGRE: OgreStringInterface.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreStringInterface.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&quot;</code><br>

<p>
<a href="OgreStringInterface_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParameterDef.html">Ogre::ParameterDef</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Definition of a parameter supported by a <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style...">StringInterface</a> class, for introspection.  <a href="classOgre_1_1ParameterDef.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html">Ogre::ParamCommand</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Abstract class which is command object which gets/sets parameters.  <a href="classOgre_1_1ParamCommand.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class to hold a dictionary of parameters for a single class.  <a href="classOgre_1_1ParamDictionary.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.  <a href="classOgre_1_1StringInterface.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; ParameterDef &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">Ogre::ParameterList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String,<br>
 ParamCommand * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#b86c7cbfc251d38852599a5be6a6763a">Ogre::ParamCommandMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String,<br>
 ParamDictionary &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">Ogre::ParamDictionaryMap</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a">Ogre::ParameterType</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a7b72a218a6d93dfbcb77e208eaa3feeb">Ogre::PT_BOOL</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a6346202346c62e0d276c03eb2f258b16">Ogre::PT_REAL</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a6a6d06f6d2147d82b892bee309ff466f">Ogre::PT_INT</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a960735d7150a41f8c25be3e5d459e5ef">Ogre::PT_UNSIGNED_INT</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924ac1ae17fd22246104d7a7794fcf89e1e1">Ogre::PT_SHORT</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924aca32cf2526bd9f0ec645331b9a1093c1">Ogre::PT_UNSIGNED_SHORT</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a663563417c2b019e268ba62dc4b1c587">Ogre::PT_LONG</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a08dbf5d4856777b3dd0dfd7f6d82cd46">Ogre::PT_UNSIGNED_LONG</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a631b8a9e92ad1186744a5fa9521b08dc">Ogre::PT_STRING</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924ad1f53213a85c2b5518e8b974cbbbea76">Ogre::PT_VECTOR3</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924ada60f8ff24cfcc03772b69968f3aa30f">Ogre::PT_MATRIX3</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a9cde1dc36b3e39a8a4e7a2b9bba6d78d">Ogre::PT_MATRIX4</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a2971f5bea77e8de65d015df46f67733c">Ogre::PT_QUATERNION</a>, 
<a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a70b475c72e98912203dc005ef4fd9ffb">Ogre::PT_COLOURVALUE</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of parameter types available.  <a href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:59 2008
</p>
</body>
</html>
